﻿using NetClientCore.TCP;
using NetCore;
using NetCore.ContentParse;
using NetCore.Protocol.MemoryPack;

namespace NetClientCore;

public static class ClientTest
{
    static void Main(string[] args)
    {
        ClientTestLogicalParsing clientTestLogicalParsing = new ClientTestLogicalParsing();
        TCPClient<ByteParse, MemoryWrap<MemoryRequest, MemoryResponse>> tcpClient =
            new TCPClient<ByteParse, MemoryWrap<MemoryRequest, MemoryResponse>>();
        tcpClient.Connect("127.0.0.1", 1000, clientTestLogicalParsing);
        int count = 0;
        while (true)
        {
            count++;
            MemoryRequest memoryRequest = new MemoryRequest();
            memoryRequest.count = count;
            tcpClient.SendData(memoryRequest);
            Thread.Sleep(10);
        }
    }
}