﻿using System.Collections.Concurrent;
using MongoDB.Bson;
using MongoDB.Bson.Serialization;
using MongoDB.Driver;
using NetServer.MongoDB.DBData;

namespace NetServer.MongoDB;

public class DBLink
{
    private IMongoDatabase _iMongoDatabase;
    private MongoClient _mongoClient;


    public IMongoDatabase MongoDatabase
    {
        get { return _iMongoDatabase; }
    }


    public void LinkDB(string dbPath, string dbName)
    {
        try
        {
            _mongoClient = new MongoClient(dbPath);

            _iMongoDatabase = _mongoClient.GetDatabase(dbName);
        }
        catch (Exception e)
        {
            Console.WriteLine(e);
        }
    }
}