﻿using MemoryPack;

namespace NetCore.Protocol.MemoryPack;

/// <summary>
/// 
/// </summary>
/// <typeparam name="T">Serialize</typeparam>
/// <typeparam name="K">Deserialize</typeparam>
public class MemoryWrap<T,K> : IProtocol where T : class
{
    public object Deserialize(byte[] data)
    {
        K serialize = MemoryPackSerializer.Deserialize<K>(data);
        return serialize;
    }

    public byte[] Serialize(object serializeObject)
    {
        T serialize = serializeObject as T;
        byte[] data = MemoryPackSerializer.Serialize(serialize);
        return data;
    }
}