﻿using NetCore;
using NetCore.ContentParse;
using NetCore.Protocol.MemoryPack;

namespace NetServer.ServerLogic;

public class LogicManager : ILogicalParsing
{
    public void Logic(object data, IConnection iConnection)
    {
        MemoryRequest memoryRequest = data as MemoryRequest;
        Console.WriteLine("服务器收到消息"+memoryRequest.count);
        MemoryResponse memoryResponse = new MemoryResponse();
        memoryResponse.count = 999;
        iConnection.SendData(memoryResponse);
    }
}