﻿using NetCore.ContentParse;
using NetCore.Protocol.MemoryPack;
using NetServer.MongoDB;
using NetServer.NetLink.TCP;
using NetServer.ServerLogic;
using NetServer.TomlData;
using Nett;

namespace NetServer;

public class ServerMain
{
    static void Main(string[] args)
    {
        ServerConfig serverConfig = Toml.ReadFile<ServerConfig>("serverconfig.toml");
        DBLink dbLink = new DBLink();
        dbLink.LinkDB(serverConfig.dbpath, serverConfig.dbname);
        LogicManager logicManager = new LogicManager();
        TCPServer<ByteParse, MemoryWrap<MemoryResponse, MemoryRequest>> tcpServer =
            new TCPServer<ByteParse, MemoryWrap<MemoryResponse, MemoryRequest>>(1000, logicManager);
        while (true)
        {
            Thread.Sleep(10);
        }
    }
}